path: /build/build/robin-map-dev-cpp-1.2.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-cpp/robin-map -pv -t && \
    emerge -j ${JOBS} --nodeps dev-cpp/robin-map
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/robin-map && luet-portage --dir /pkgdir/robin-map
    dev-cpp/robin-map && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:7ec250740b1569c3e725e834608f913bebaa3a0e3eb68218afe32e03c5b58248
  package:
    name: robin-map
    version: 1.2.1
    category: dev-cpp
    requires:
    - name: pybind11
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C++ fast hash map and hash set using robin hood hashing
    uri:
    - https://github.com/Tessil/robin-map
    license: MIT
    buildtimestamp: 2023-12-08 22:08:55.390234889 +0000 UTC m=+75.863823115
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      emerge.packages: dev-cpp/robin-map
      kit: dev-kit
      original.package.name: dev-cpp/robin-map
      original.package.slot: "0"
      original.package.version: 1.2.1
    treedir: /build/packages
  package_dir: /pkgdir/robin-map
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e7940a919171708d8bed4081cf43be062282a4211513960bb2345b7ee22867ae
compressiontype: zstd
files:
- usr/include/tsl/robin_growth_policy.h
- usr/include/tsl/robin_hash.h
- usr/include/tsl/robin_map.h
- usr/include/tsl/robin_set.h
- usr/share/cmake/tsl-robin-map/tsl-robin-mapConfig.cmake
- usr/share/cmake/tsl-robin-map/tsl-robin-mapConfigVersion.cmake
- usr/share/cmake/tsl-robin-map/tsl-robin-mapTargets.cmake
- usr/share/doc/robin-map-1.2.1/README.md.bz2
- var/db/pkg/dev-cpp/robin-map-1.2.1/BDEPEND
- var/db/pkg/dev-cpp/robin-map-1.2.1/BUILD_TIME
- var/db/pkg/dev-cpp/robin-map-1.2.1/CATEGORY
- var/db/pkg/dev-cpp/robin-map-1.2.1/CBUILD
- var/db/pkg/dev-cpp/robin-map-1.2.1/CFLAGS
- var/db/pkg/dev-cpp/robin-map-1.2.1/CHOST
- var/db/pkg/dev-cpp/robin-map-1.2.1/CONTENTS
- var/db/pkg/dev-cpp/robin-map-1.2.1/COUNTER
- var/db/pkg/dev-cpp/robin-map-1.2.1/CXXFLAGS
- var/db/pkg/dev-cpp/robin-map-1.2.1/DEFINED_PHASES
- var/db/pkg/dev-cpp/robin-map-1.2.1/DESCRIPTION
- var/db/pkg/dev-cpp/robin-map-1.2.1/EAPI
- var/db/pkg/dev-cpp/robin-map-1.2.1/FEATURES
- var/db/pkg/dev-cpp/robin-map-1.2.1/HOMEPAGE
- var/db/pkg/dev-cpp/robin-map-1.2.1/INHERITED
- var/db/pkg/dev-cpp/robin-map-1.2.1/IUSE
- var/db/pkg/dev-cpp/robin-map-1.2.1/IUSE_EFFECTIVE
- var/db/pkg/dev-cpp/robin-map-1.2.1/KEYWORDS
- var/db/pkg/dev-cpp/robin-map-1.2.1/LDFLAGS
- var/db/pkg/dev-cpp/robin-map-1.2.1/LICENSE
- var/db/pkg/dev-cpp/robin-map-1.2.1/PF
- var/db/pkg/dev-cpp/robin-map-1.2.1/SIZE
- var/db/pkg/dev-cpp/robin-map-1.2.1/SLOT
- var/db/pkg/dev-cpp/robin-map-1.2.1/USE
- var/db/pkg/dev-cpp/robin-map-1.2.1/environment.bz2
- var/db/pkg/dev-cpp/robin-map-1.2.1/repository
- var/db/pkg/dev-cpp/robin-map-1.2.1/robin-map-1.2.1.ebuild
package_cacheimage: ""
runtime:
  name: robin-map
  version: 1.2.1
  category: dev-cpp
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C++ fast hash map and hash set using robin hood hashing
  uri:
  - https://github.com/Tessil/robin-map
  license: MIT
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    emerge.packages: dev-cpp/robin-map
    kit: dev-kit
    original.package.name: dev-cpp/robin-map
    original.package.slot: "0"
    original.package.version: 1.2.1
